// $Id: J4PrimaryGeneratorAction.hh,v 1.1.1.2 2001/05/31 06:35:26 hoshina Exp $

#ifndef J4PrimaryGeneratorAction_h
#define J4PrimaryGeneratorAction_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "globals.hh"

class G4VPrimaryGenerator;
class G4Event;
class J4PrimaryGeneratorMessenger;

class J4PrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
  public:
    J4PrimaryGeneratorAction();
    ~J4PrimaryGeneratorAction();

  public:
    void GeneratePrimaries(G4Event* anEvent);

  private:
    G4VPrimaryGenerator* HEPEvt;
    G4VPrimaryGenerator* particleGun;
    J4PrimaryGeneratorMessenger* messenger;
    G4bool useHEPEvt;

  public:
    inline void SetHEPEvtGenerator(G4bool f)
    { useHEPEvt = f; }
    inline G4bool GetHEPEvtGenerator()
    { return useHEPEvt; }
};

#endif


