// $Id: J4VSensitiveDetector.cc,v 1.1.1.2 2001/05/31 06:35:26 hoshina Exp $
//*************************************************************************
//* --------------------
//* J4VSensitiveDetector
//* --------------------
//* (Description)
//* 	Class for describing his/her sensitive detector.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VDetectorComponent.hh"
 
//=====================================================================
//---------------------
// class implementation
//---------------------


//* constructor -------------------------------------------------------
	
J4VSensitiveDetector::J4VSensitiveDetector(J4VDetectorComponent* detector)
			: G4VSensitiveDetector(detector->GetName()), 
			  fDetectorComponent(detector), fHitBuf(0),
			  fNewStep(0)
{  
  collectionName.insert(detector->GetName());  
}

 
J4VSensitiveDetector::J4VSensitiveDetector(const J4VSensitiveDetector& right)
		:  G4VSensitiveDetector(right),
		   fDetectorComponent(right.fDetectorComponent),
		   fHitBuf(right.fHitBuf), fNewStep(right.fNewStep)
{
}
	
//* destructor --------------------------------------------------------
	
J4VSensitiveDetector::~J4VSensitiveDetector()
{
}
	
	
	
	


